Bug 19769 - 'Pickup library is different' message does not display library branch name when placing hold
Summary: 'Pickup library is different' message does not display library branch name wh...
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Claire Gravely
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 15758
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-07 07:31 UTC by Claire Gravely
Modified: 2017-12-20 13:01 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
When placing a hold for a patron whose pickup library and home library are different, the message displayed only shows the branch code and not the branch name. (1.84 KB, patch)
2017-12-07 07:37 UTC, Claire Gravely
Details | Splinter Review
Bug 19769: 'Pickup library is different' message does not display library branch name when placing hold (1.99 KB, patch)
2017-12-07 13:10 UTC, Owen Leonard
Details | Splinter Review
Bug 19769: 'Pickup library is different' message does not display library branch name when placing hold (2.05 KB, patch)
2017-12-07 13:40 UTC, Nick Clemens
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Claire Gravely 2017-12-07 07:31:13 UTC
When placing a hold for a patron whose pickup library and home library are different, the message displayed only shows the branch code and not the branch name.

To reproduce:
Go to place a hold on an item for a patron whose home library is different to that of the item. The message: 'Pickup library is different...' will be displayed but the branch name is missing.
Comment 1 Claire Gravely 2017-12-07 07:37:21 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2017-12-07 13:10:47 UTC
Created attachment 69605 [details] [review]
Bug 19769: 'Pickup library is different' message does not display library branch name when placing hold

When placing a hold for a patron whose pickup library and home library
are different, the message displayed only shows the branch code and not
the branch name.

This patch displays the branch name as well as the branch code.

To test:
1. Search for an item
2. Click 'place hold'
3. Enter patron name/card number for a patron whose home library is
   different to the item's
4. Note the message displayed only shows the branch code but not the
   name
5. Apply Patch
6. Repeat 1-3
7. Message should not also display the branch name

https://bugs.koha-community.org/show_bug.cgi?id=19769

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Nick Clemens 2017-12-07 13:40:20 UTC
Created attachment 69609 [details] [review]
Bug 19769: 'Pickup library is different' message does not display library branch name when placing hold

When placing a hold for a patron whose pickup library and home library
are different, the message displayed only shows the branch code and not
the branch name.

This patch displays the branch name as well as the branch code.

To test:
1. Search for an item
2. Click 'place hold'
3. Enter patron name/card number for a patron whose home library is
   different to the item's
4. Note the message displayed only shows the branch code but not the
   name
5. Apply Patch
6. Repeat 1-3
7. Message should now also display the branch name

https://bugs.koha-community.org/show_bug.cgi?id=19769

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Jonathan Druart 2017-12-11 16:16:52 UTC
Caused by commit df97814f3034a3d5015546c4eca21f08ae951e37
Bug 15758: Koha::Libraries - Remove GetBranches
(certainly a bad merge conflict)
Comment 5 Jonathan Druart 2017-12-11 17:53:53 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 6 Nick Clemens 2017-12-20 13:01:32 UTC
Awesome work all! Pushed to stable for 17.11.01